ChangeSet 1.1557.49.15, 2004/02/17 16:45:15-08:00, mdharm-usb@one-eyed-alien.net

[PATCH] USB Storage: Fix small endian-ness bug

This patch fixes up a small endian-ness bug from mid-January.


 drivers/usb/storage/sddr09.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/storage/sddr09.c b/drivers/usb/storage/sddr09.c
--- a/drivers/usb/storage/sddr09.c	Thu Feb 19 17:21:52 2004
+++ b/drivers/usb/storage/sddr09.c	Thu Feb 19 17:21:52 2004
@@ -1478,7 +1478,7 @@
 				  "mode page 0x%x\n", modepage);
 
 			memcpy(ptr, mode_page_01, sizeof(mode_page_01));
-			((u16*)ptr)[0] = sizeof(mode_page_01) - 2;
+			((u16*)ptr)[0] = cpu_to_be16(sizeof(mode_page_01) - 2);
 			ptr[3] = (info->flags & SDDR09_WP) ? 0x80 : 0;
 			usb_stor_set_xfer_buf(ptr, sizeof(mode_page_01), srb);
 			return USB_STOR_TRANSPORT_GOOD;
